Name:           perl-HTTP-Request-Form
Version:        0.952
Release:        5%{?dist}
Summary:        Construct HTTP::Request objects for form processing
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Request-Form/
Source0:        http://www.cpan.org/authors/id/G/GB/GBAUER/HTTP-Request-Form-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(URI::URL)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is an extension of the HTTP::Request suite. It allows easy processing
of forms in a user agent by filling out fields, querying fields, selections
and buttons and pressing buttons. It uses HTML::TreeBuilder generated parse
trees of documents (especially the forms parts extracted with
extract_links) and generates it's own internal representation of forms from
which it then generates the request objects to process the form
application.

%prep
%setup -q -n HTTP-Request-Form-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README ex
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.952-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.952-4
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.952-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.952-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 29 2014 Michael Scherer <misc@zarb.org> 0.952-2
- clean spec for upload after review

* Sun Jan 26 2014 Michael Scherer <misc@zarb.org> 0.952-1
- Specfile autogenerated by cpanspec 1.78 and fixed by hand
